# ApplicationFramework
TKCDF
PCDM

# PCDM_Reader Class Reference

`#include <PCDM_Reader.hxx>`

Inheritance diagram for PCDM_Reader:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_CDM_Document | CreateDocument ()=0
| this method is called by the framework before the read method.
virtual Standard_EXPORT void | Read (const TCollection_ExtendedString &aFileName, const Handle(CDM_Document)&aNewDocument, const Handle(CDM_Application)&anApplication)=0
| retrieves the content of the file into a new Document.
PCDM_ReaderStatus | GetStatus () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

PCDM_ReaderStatus | myReaderStatus

## Member Function Documentation

virtual Standard_EXPORT Handle_CDM_Document PCDM_Reader::CreateDocument | ( |  | ) | `[pure virtual]`

| Implemented in BinLDrivers_DocumentRetrievalDriver, MDocStd_DocumentRetrievalDriver, and XmlLDrivers_DocumentRetrievalDriver.

PCDM_ReaderStatus PCDM_Reader::GetStatus | ( |  | ) | const`[inline]`

Standard_EXPORT const PCDM_Reader::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in BinDrivers_DocumentRetrievalDriver, BinLDrivers_DocumentRetrievalDriver, MDocStd_DocumentRetrievalDriver, PCDM_RetrievalDriver, StdDrivers_DocumentRetrievalDriver, StdLDrivers_DocumentRetrievalDriver, XmlDrivers_DocumentRetrievalDriver, and XmlLDrivers_DocumentRetrievalDriver.

virtual Standard_EXPORT void PCDM_Reader::Read | ( | const TCollection_ExtendedString & | aFileName,
|  | const Handle(CDM_Document)& | aNewDocument,
|  | const Handle(CDM_Application)& | anApplication
| ) | `[pure virtual]`

| Implemented in BinLDrivers_DocumentRetrievalDriver, PCDM_RetrievalDriver, and XmlLDrivers_DocumentRetrievalDriver.

## Field Documentation

PCDM_ReaderStatus PCDM_Reader::myReaderStatus `[protected]`

The documentation for this class was generated from the following files:

- PCDM_Reader.hxx
- PCDM_Reader.lxx